## net.sourceforge.pmd.jsp.ast
Class ASTDoctypeDeclaration

    java.lang.Object
      net.sourceforge.pmd.ast.SimpleNode
          net.sourceforge.pmd.jsp.ast.SimpleNode
              net.sourceforge.pmd.jsp.ast.ASTDoctypeDeclaration

All Implemented Interfaces:
  Node, Node

public class ASTDoctypeDeclaration
extends SimpleNode

Field Summary

Fields inherited from class net.sourceforge.pmd.jsp.ast.SimpleNode
`parser`

Fields inherited from class net.sourceforge.pmd.ast.SimpleNode
`beginColumn, beginLine, children, endColumn, endLine, id, parent`

Constructor Summary
`ASTDoctypeDeclaration(int id)`
`ASTDoctypeDeclaration(JspParser p, int id)`

Method Summary
`java.lang.String` `getName()`
`java.lang.Object` `jjtAccept(JspParserVisitor visitor, java.lang.Object data)` Accept the visitor.
`void` `setName(java.lang.String name)`
`java.lang.String` `toString(java.lang.String prefix)`

Methods inherited from class net.sourceforge.pmd.jsp.ast.SimpleNode
`childrenAccept, jjtClose, jjtOpen, toString`

Methods inherited from class net.sourceforge.pmd.ast.SimpleNode

`appendElement, asXml, containsChildOfType, discardIfNecessary, dump, dumpChildren, findChildNodesWithXPath, findChildrenOfType, findChildrenOfType, findChildrenOfType, getBeginColumn, getBeginLine, getDataFlowNode, getEndColumn, getEndLine, getFirstChildOfType, getFirstParentOfType, getImage, getNthParent, getParentsOfType, getScope, jjtAddChild, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtReplaceChild, jjtSetParent, setDataFlowNode, setDiscardable, setImage, setScope, setUnDiscardable, testingOnly__setBeginColumn, testingOnly__setBeginLine`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface net.sourceforge.pmd.ast.Node
`jjtAddChild, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtSetParent`

Constructor Detail

### ASTDoctypeDeclaration

    public ASTDoctypeDeclaration(int id)

### ASTDoctypeDeclaration

    public ASTDoctypeDeclaration(JspParser p,
                                 int id)

Method Detail

### getName

    public java.lang.String getName()

  Returns:
    Returns the name.

### setName

    public void setName(java.lang.String name)

  Parameters:
    `name` - The name to set.

### toString

    public java.lang.String toString(java.lang.String prefix)

  Overrides:
    `toString` in class `SimpleNode`

### jjtAccept

    public java.lang.Object jjtAccept(JspParserVisitor visitor,
                                      java.lang.Object data)

  Accept the visitor. *

  Specified by:
    `jjtAccept` in interface `Node`
  Overrides:
    `jjtAccept` in class `SimpleNode`

Copyright © 2002-2006 InfoEther. All Rights Reserved.